Creates a ramp for a subscription.
Note
- Subscription status: You cannot create ramps for subscriptions in the
pausedorcancelledstatus. - Advance invoice: You cannot create ramps for subscriptions that have an advance invoice schedule.
- Upcoming ramps limit: A subscription can have a maximum of 12 upcoming ramps at any given time, excluding deleted ramps. Upcoming ramps are ramps with
statusasscheduled. - Total ramps limit: A subscription can have a maximum of 100 ramps at any given time, excluding deleted ramps.
- You cannot create a ramp for subscription, when ramps are in draft status.
Prerequisites & Constraints
- Manual Discounts for Quotes and Subscriptions must be enabled for your site to provide
discounts_to_add. - Product Catalog 2.0 must be enabled for your site to provide
discounts_to_add.
Sample Request
Sample Result[JSON]
URL Format
POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/create_ramp
Input Parameters
The time when this ramp takes effect.
Caution
- Ensure the time is within five years from the current time.
- Ensure there is a minimum 24-hour interval between
effective_fromof two consecutive ramps. - If the subscription is scheduled to be paused or canceled in the future, ensure the time is not on or after
pause_dateorcancelled_at.
Constraint
effective_frommust be a future timestamp.
List of coupons removed from the subscription through this ramp.
Caution Ensure this list does not include:
- Coupons being added through this ramp.
- Coupons already removed by a previous ramp.
Constraint
- Each coupon ID in
coupons_to_removemust be unique. The same coupon ID cannot be listed more than once.
List of discounts removed from the subscription through this ramp.
Caution Ensure this list does not include discounts already removed by a previous ramp.
Constraint
- Each discount ID in
discounts_to_removemust be unique. The same discount ID cannot be listed more than once.
List of item prices removed from the subscription through this ramp.
Caution Ensure this list does not include:
- Item prices being added or updated through this ramp.
- Item prices already removed by a previous ramp.
Constraints
- The same
item_price_idorcoupon_idcannot appear more than once acrossitems_to_add,items_to_update,items_to_remove, andcoupons_to_add. - The
item_price_idreferenced initems_to_removedoes not exist.
Returns
Ramp object
Resource object representing ramp